#ifndef FRUSTUM_H_INCLUDED
#define FRUSTUM_H_INCLUDED

class Frustum {
    public:
        double fov,aspect,near,far;//coordinates
        Matrix4 frustumMatrix;

        Frustum();//empty constructor
        Frustum(double fo,double a,double n, double fa);//constructor that sets coordinates

        //getters
        double getFov();
        double getAspect();
        double getNear();
        double getFar();
        Matrix4 getMatrix();

        //setters
        void setFov(double f);
        void setAspect(double a);
        void setNear(double n);
        void setFar(double f);
        void set(double fo,double a,double n, double fa);

        //setup matrix
        void setupMatrix();

        void setGLProjection();

};


#endif // FRUSTUM_H_INCLUDED
