#ifndef GLUTSHAPE_H_INCLUDED
#define GLUTSHAPE_H_INCLUDED

class GLUTShape : public Leaf {
    protected:
        int type;
        int divisions;
        double size;
        Matrix4 transM;
    public:
        GLUTShape(int t, int d,double s,Matrix4 m);
        GLUTShape(int t, int d,double s);
        void draw(Matrix4 m);
        void detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m);
};

#endif // GLUTSHAPE_H_INCLUDED
