#ifndef SHAPE3D_H_INCLUDED
#define SHAPE3D_H_INCLUDED
class Shape3D: public Leaf {
    public:
        loadObject* lobj;
        Matrix4 transM;
        double radius;
        double centerX;
        double centerY;
        double centerZ;
        void draw(Matrix4 m);
        void calculateSphere(Matrix4 m);
        void center();
        void setTexture(GLuint t);
        Shape3D(char* infile);
        Shape3D(Shape3D* copyShape);
        Shape3D(char* infile, Matrix4 m);
        Shape3D(Shape3D* copyShape, Matrix4 m);
        void detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m);

};

#endif // SHAPE3D_H_INCLUDED
