
#ifndef _WINDOWR_H_
#define _WINDOWR_H_

class WindowR	  // output window related routines
{
  public:
    static int width, height; 	            // window size
    static bool culling;
    static double dNear;
    static double dFar;
    static double dRight;
    static double dLeft;
    static double dTop;
    static double dBottom;

    static Vector3 pNear;
    static Vector3 pFar;
    static Vector3 pRight;
    static Vector3 pLeft;
    static Vector3 pTop;
    static Vector3 pBottom;

    static Vector3 nNear;
    static Vector3 nFar;
    static Vector3 nRight;
    static Vector3 nLeft;
    static Vector3 nTop;
    static Vector3 nBottom;

    //double Hfar;
    //double Wfar;
    static double Hnear;
    static double Wnear;

    static void idleCallback(void);
    static void reshapeCallback(int, int);
    static void displayCallback(void);
    static void mouseCallback(int button, int state, int x, int y);
    static void motionCallback(int x, int y);
    static void keyboard(unsigned char key, int, int);
	static void specialFunc(int, int, int);
	static void drawReferenceAxis();
	static void initTextures();
	static GLuint* LoadTextures(std::string[], int n);
	
};

#endif
