#ifndef CAMERA_H_INCLUDED
#define CAMERA_H_INCLUDED


class Camera {
    public:
        Vector3 e,d,up;//coordinates
        Matrix4 cameraMatrix;

        Camera();//empty constructor
        Camera(Vector3 e,Vector3 d,Vector3 up);//constructor that sets coordinates
        Vector3 getE();
        Vector3 getD();
        Vector3 getUp();
        Matrix4 getMatrix();

        void setE(Vector3 e);
        void setD(Vector3 d);
        void setUp(Vector3 up);
        void set(Vector3 e, Vector3 d, Vector3 up);

        void setupMatrix();
};



#endif // CAMERA_H_INCLUDED
