#include "../global.h"

Vector4::Vector4()
{
    x=0.0;
    y=0.0;
    z=0.0;
	w=0.0;
}
Vector4::Vector4(double x0,double y0,double z0,double w0)
{
    x=x0;
    y=y0;
    z=z0;
	w=w0;
}
void Vector4::set(double x0,double y0,double z0, double w0)
{
    x=x0;
    y=y0;
    z=z0;
	w=w0;
}
double Vector4::get(int point){
    if(point == 0){
        return x;
    }
    else if(point == 1){
        return y;
    }
    else if(point == 2){
        return z;
    }
    else if (point == 3){
		return w;
	}

	else{
	    //exit here
        return 0;
    }
}
double Vector4::operator[](int point){
    return (get(point));
}
void Vector4::add(Vector4 &a)
{
    x+=a.x;
    y+=a.y;
    z+=a.z;
	w+=a.w;
}
void Vector4::add(Vector4 &a,Vector4 &b)
{
    x=a.x+b.x;
    y=a.y+b.y;
    z=a.z+b.z;
	w=a.w+b.w;
}
Vector4 Vector4::operator+(Vector4 &a){
    return (Vector4(x+a.x,y+a.y,z+a.z,w+a.w));
}
void Vector4::subtract(Vector4 &a)
{
    x-=a.x;
    y-=a.y;
    z-=a.z;
	w-=a.w;
}
void Vector4::subtract(Vector4 &a,Vector4 &b)
{
    x=a.x-b.x;
    y=a.y-b.y;
    z=a.z-b.z;
	w=a.w-b.w;
}
Vector4 Vector4::operator-(Vector4 &a){
    return (Vector4(x-a.x,y-a.y,z-a.z,w-a.w));
}
void Vector4::dehomogenize()
{
    x = x/w;
    y = y/w;
    z = z/w;
	w=w/w;
}
