#include "../global.h"

using namespace std;
GLUTShape::GLUTShape(int t,int d,double s){
    type = t;
    divisions = d;
    size = s;
    transM.identity();
}
GLUTShape::GLUTShape(int t,int d,double s,Matrix4 m){
    type = t;
    divisions = d;
    size = s;
    transM = m;
}
void GLUTShape::draw(Matrix4 m){
    glMatrixMode(GL_MODELVIEW);
    m.multiplyInPlace(transM);
    glLoadMatrixd(m.getPointer());
    if(type ==0){
        //draw sphere
        glutSolidSphere(size,divisions,divisions);
    }
    else if(type == 1){
        //draw cube
        glutSolidCube(size);
    }
}
void GLUTShape::detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m){
    //do nothing for now. we won't have any of these in our scene
    return;
}
