#include "../global.h"

using namespace std;
extern bool collisionDetected;

bool Group::addChild(Node* n){
    children.push_back(n);
    return true;
}
bool Group::removeChild(Node* n){
    vector<Node*>::iterator it;
    for ( it=children.begin() ; it < children.end(); it++ ){
        if(*it == n){
            children.erase(it);
            return true;
        }
    }
    return false;
}
void Group::draw(Matrix4 m){
    //cerr <<"in Group draw"<<endl;

    vector<Node*>::iterator it;
    for ( it=children.begin() ; it < children.end(); it++ ){
        (**it).draw(m);
    }
}

void Group::detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m){
    if(!collisionDetected){
        vector<Node*>::iterator it;
        for ( it=children.begin() ; it < children.end(); it++ ){
            (**it).detectCollision(in,inTransforms,m);
        }
    }
}

