#ifndef GROUP_H_INCLUDED
#define GROUP_H_INCLUDED
class Group: public Node {
    protected:
        std::vector<Node*> children;
    public:
        bool addChild(Node* n);
        bool removeChild(Node* n);
        void draw(Matrix4 m);
        void detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m);

};
#endif // GROUP_H_INCLUDED
