#ifndef NODE_H_INCLUDED
#define NODE_H_INCLUDED
class Node {
    public:
        virtual void draw(Matrix4 m) = 0;
        Node();
        virtual void detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m) = 0;
        bool segmentPlaneIntersect(Vector3 Po, Vector3 P1, Vector3 Normal, Vector3 V0, Vector3 v1, Vector3 v2, Vector3 v3);
        bool SameSide(Vector3 p1,Vector3 p2, Vector3 a,Vector3 b);
        bool PointInSquare(Vector3 p,Vector3 a,Vector3 b,Vector3 c,Vector3 d);
};

#endif // NODE_H_INCLUDED
