//Single Building

#ifndef BUILDING_H_INCLUDED
#define BUILDING_H_INCLUDED

class Building : public Leaf {
    protected:
		int 	tex_idx;	//the index of the tex 0..N_BLDG_TEX
		int		height;		//height in multiples of 10
        Matrix4 transM;
        double centerX;
        double centerZ;
    public:
        Building(int, Matrix4 m);
		Building(Matrix4 m);
        Building(int,int);
		Building();
        void draw(Matrix4 m);
        void detectCollision(Node* in,Matrix4 inTransforms, Matrix4 m);
};

Building* makeRandBuilding();

#endif // BUILDING_H_INCLUDED
